org.apache.ignite.internal.processors.query.schema

## Class SchemaOperationManager

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaOperationManager

    public class SchemaOperationManager
    extends Object

Schema operation manager.

### Constructor Summary

Constructors
Constructor and Description
`SchemaOperationManager(GridKernalContext ctx, GridQueryProcessor qryProc, SchemaOperationWorker worker, ClusterNode crd)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onNodeFinished(UUID nodeId, SchemaOperationException err)` Handle node finish.
`void` `onNodeLeave(UUID nodeId, ClusterNode curCrd)` Handle node leave event.
`void` `start()` Map operation handling.
`SchemaOperationWorker` `worker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaOperationManager

    public SchemaOperationManager(GridKernalContext ctx,
                                  GridQueryProcessor qryProc,
                                  SchemaOperationWorker worker,
                                  @Nullable
                                  ClusterNode crd)

Constructor.

Parameters:
  `ctx` - Context.
  `qryProc` - Query processor.
  `worker` - Operation handler.
  `crd` - Coordinator node.

### Method Detail

#### start

    public void start()

Map operation handling.

#### onNodeFinished

    public void onNodeFinished(UUID nodeId,
                               @Nullable
                               SchemaOperationException err)

Handle node finish.

Parameters:
  `nodeId` - Node ID.
  `err` - Error.

#### onNodeLeave

    public void onNodeLeave(UUID nodeId,
                            ClusterNode curCrd)

Handle node leave event.

Parameters:
  `nodeId` - ID of the node that has left the grid.
  `curCrd` - Current coordinator node.

#### worker

    public SchemaOperationWorker worker()

Returns:
  Worker.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018